package com.lz.common.utils.excel;

/**
 * @BelongsProject: ltapi
 * @BelongsPackage: com.lz.lt.api.common.util.excel
 * @Author: gui.quanwang
 * @CreateTime: 2018-11-27 16:43
 * @Description: excel输出
 * @注意：本内容仅限于杭州霖梓网络科技有限公司内部传阅，禁止外泄以及用于其他的商业目的
 */
public class ExcelLog {

    /**
     * 行数
     */
    private Integer rowNum;

    /**
     * 数据
     */
    private Object object;

    /**
     * 记录
     */
    private String log;

    /**
     * @param object
     * @param log
     */
    public ExcelLog(Object object, String log) {
        super();
        this.object = object;
        this.log = log;
    }

    /**
     * @param rowNum
     * @param object
     * @param log
     */
    public ExcelLog(Object object, String log, Integer rowNum) {
        super();
        this.rowNum = rowNum;
        this.object = object;
        this.log = log;
    }

    /**
     * @return the rowNum
     */
    public Integer getRowNum() {
        return rowNum;
    }

    /**
     * @param rowNum the rowNum to set
     */
    public void setRowNum(Integer rowNum) {
        this.rowNum = rowNum;
    }

    /**
     * @return the object
     */
    public Object getObject() {
        return object;
    }

    /**
     * @param object the object to set
     */
    public void setObject(Object object) {
        this.object = object;
    }

    /**
     * @return the log
     */
    public String getLog() {
        return log;
    }

    /**
     * @param log the log to set
     */
    public void setLog(String log) {
        this.log = log;
    }

    @Override
    public String toString() {
        return "ExcelLog{" +
                "rowNum=" + rowNum +
                ", object=" + object +
                ", log='" + log + '\'' +
                '}';
    }
}
